osl::move_probability::PinnedGeneral Struct Reference

`#include <pinnedGeneral.h>`

## Public Member Functions

| PinnedGeneral (Piece g, Piece c, Square a)
| PinnedGeneral ()

## Public Attributes

Piece | general
Piece | covered
Square | attack

## Detailed Description

Definition at line 11 of file pinnedGeneral.h.

## Constructor & Destructor Documentation

## PinnedGeneral() [1/2]

osl::move_probability::PinnedGeneral::PinnedGeneral | ( | Piece | g,
|  | Piece | c,
|  | Square | a )

inline

Definition at line 15 of file pinnedGeneral.h.

References attack, covered, and general.

## PinnedGeneral() [2/2]

osl::move_probability::PinnedGeneral::PinnedGeneral | ( |  | ) |

inline

Definition at line 18 of file pinnedGeneral.h.

## Member Data Documentation

## attack

Square osl::move_probability::PinnedGeneral::attack

Definition at line 14 of file pinnedGeneral.h.

Referenced by osl::move_probability::operator==(), and PinnedGeneral().

## covered

Piece osl::move_probability::PinnedGeneral::covered

Definition at line 13 of file pinnedGeneral.h.

Referenced by osl::move_probability::operator==(), and PinnedGeneral().

## general

Piece osl::move_probability::PinnedGeneral::general

Definition at line 13 of file pinnedGeneral.h.

Referenced by osl::move_probability::operator==(), and PinnedGeneral().

The documentation for this struct was generated from the following file:

- pinnedGeneral.h